Subject: Re: [GSoC] The Final Git Dev Blog(s)

From: Atharva Raykar <[email-masked]>
Date: Tue, 24 Aug 2021 15:30:46 +0530

Kaartic Sivaraam <[email-masked]> writes:

> On 20/08/21 8:05 pm, Atharva Raykar wrote:
>> 2. Reflections on Working With the Git Community:
>>     https://atharvaraykar.me/gitnotes/final-reflection
>>     This is a blog post that I wrote mostly for myself, and other people
>>     interested in contributing to Git. It covers my personal experience
>>     with my time here with the many ups and downs. I also wanted to thank
>>     all the people who helped and collaborated with me in these 14 weeks.
>>
>
> Good idea on trying to separate the reflection part of the blog from the
> actual final report blog. This way, you didn't have to worry about the
> report getting too long due to the reflections ;-)
>
> You could consider linking each of these to the other ones, though. That
> would help tie things up.

Okay, that's a good suggestion.

> Some other thoughts:
>
>> This mild dogfooding went a long way into making my work feel far more
>> enjoyable and meaningful (if working on a project used my millions was
>> already not meaningful enough).
>
> Dogfooding is one of those thing that's surprisingly effective at all times :-)
>
> BTW, s/my millions/by millions/

Right.

>> CoViD.
>
> Good to know that all are well. I resonate with what Zheing Hu says. Let's
> hope we get through COVID-19 smoothly.
>
>> This blog will continue, with a renewed purpose. I will be writing down
>> important things I learnt in my time and bugs that new contributors
>> could work on. I believe that writing guides and making contributions
>> easier has some of the best effort-to-impact characteristics that
>> I am looking for.
>
> Very true. They are always helpful. I believe MyFirstContribution is
> a testimony for this. It's glad to know you would like to help
> contributors in that way :-)
>
>> This won't be the last time you will see me on the list, of course. I
>> still have patches waiting to make it to the list, and other work
>> undergoing review—the only difference now is that it won't be under the
>> GSoC banner anymore.
>>
>
> Great!
>
>> Have a great weekend!
>>
>
> Thanks and hope you have a good weekend too! Also, thanks for all
> your contributions so far! Hoping to see more patches from you on
> the list :-)

Thanks for the time you set aside to help me as well!